﻿@model List<eCommerce.Services.Model.Lookbook>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="col-xs-3">Nombre</th>
            <th class="col-xs-3">Colección</th>
            <th class="col-xs-3">Productos</th>
            <th class="col-xs-3">Orden</th>
            <th class="col-xs-3">Columnas</th>
            <th class="col-xs-3 text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var lookbook in Model)
        {
            <tr>
                <td>
                    @lookbook.Name
                </td>
                <td>
                    @(lookbook.LookbookGroup != null ? lookbook.LookbookGroup.Name : string.Empty)
                </td>
                <td>
                    @lookbook.LookbookProducts.Count()
                </td>
                <td>
                    @lookbook.DisplayOrder
                </td>
                <td>
                    @lookbook.ImageSize
                </td>
                <td class="actions text-nowrap text-center">
                    <a href="/Lookbook/LookbookUpdate?Id=@lookbook.LookbookId" class="btn btn-sm btn-icon btn-pure btn-default on-default"
                       data-toggle="tooltip" data-original-title="Editar" data-rowid="@lookbook.LookbookId"><i class="icon wb-edit" aria-hidden=" true"></i></a>

                    <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                       data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@lookbook.LookbookId" onclick="fDeleteDialog(@lookbook.LookbookId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
                </td>
            </tr>
        }
    </tbody>
</table>
